import request from '@/utils/request'

// 施工计划表列表
export function buildplanLists(params: any) {
    return request.get({ url: '/build.build_plan/lists', params })
}

// 添加施工计划
export function buildplanAdd(params: any) {
    return request.post({ url: '/build.build_plan/add', params })
}

// 编辑施工计划
export function buildplanEdit(params: any) {
    return request.post({ url: '/build.build_plan/edit', params })
}

// 删除施工计划
export function buildplanDelete(params: any) {
    return request.post({ url: '/build.build_plan/delete', params })
}


// 施工计划详情
export function buildplanDetail(params: any) {
    return request.get({ url: '/build.build_plan/detail', params })
}


//某个施工计划下的施工汇报列表
export function buildreportsDetail(params: any) {
    return request.get({ url: '/build.build_plan/reports', params })
}



//某个施工计划下的人工明细列表
export function buildpersonsDetail(params: any) {
    return request.get({ url: '/build.build_plan/persons', params })
}
